VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Classes | Typedefs | Functions
VSTGUI::Standalone::UIDesc Namespace Reference

## Classes
class | CustomizationAdapter
| ICustomization adapter. More...
class | Customization
| Customization helper for an UIDesc window. More...
struct | ValueCalls
class | ModelBindingCallbacks
class | IModelBinding
| Model binding interface. More...
class | ICustomization
| UIDesc window customization interface. More...
struct | Config
| Configuration for an UIDescription window. More...

## Typedefs
using | ModelBindingPtr = std::shared_ptr< IModelBinding >
using | CustomizationPtr = std::shared_ptr< ICustomization >
using | ModelBindingCallbacksPtr = std::shared_ptr< ModelBindingCallbacks >

## Functions
WindowPtr | makeWindow (const Config &config)
| Create a window with an UIDescription.

## Typedef Documentation

using CustomizationPtr = std::shared_ptr<ICustomization>

using ModelBindingCallbacksPtr = std::shared_ptr<ModelBindingCallbacks>

using ModelBindingPtr = std::shared_ptr<IModelBinding>